/**************************************************************************
 
  ALUGrid - a library providing a mesh manager supporting simplicial
  and hexahedral meshes, local grid adaptivity for use in parallel
  computations including dynamic load balancing.

  Copyright (C) 1998 - 2002 Bernhard Schupp
  Copyright (C) 1998 - 2002 Mario Ohlberger 
  Copyright (C) 2004 - 2012 Robert Kloefkorn
  Copyright (C) 2005 - 2012 Andreas Dedner
  Copyright (C) 2010 - 2012 Martin Nolte

  The ALUGrid library is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.

  The ALUGrid library is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
**************************************************************************/
#include <config.h>
#include <cstdlib>
#include <iostream>
#include <cstring>

int main(int argc, char ** argv)
{
  if(argc >= 2) 
  {
    std::string argument (argv[1]);
    if( argument == "-v" )
    {
      std::cout << PACKAGE_VERSION << std::endl; 
      return 0; 
    }

    if( argument == "-c" && argc >= 3 )
    {
      // check wether given version is bigger than actual 
      // package version 
      int result = std :: strcmp(PACKAGE_VERSION,argv[2]);
      std::cout << result << std::endl; 
      return result;
    }
  }
  
  std::cerr << "usage: " << argv[0] << std::endl; 
  std::cerr << "  -c <version number to check>  compares version numbers" << std::endl;  
  std::cerr << "     result is -1 if version number is smaller, 0 if equal, and 1 if larger! \n" << std::endl;
  std::cerr << "  -v print version number of package " << std::endl;  
  exit(1);
    
  return 0;
}
