/**************************************************************************
 
  ALUGrid - a library providing a mesh manager supporting simplicial
  and hexahedral meshes, local grid adaptivity for use in parallel
  computations including dynamic load balancing.

  Copyright (C) 1998 - 2002 Bernhard Schupp
  Copyright (C) 1998 - 2002 Mario Ohlberger 
  Copyright (C) 2004 - 2012 Robert Kloefkorn
  Copyright (C) 2005 - 2012 Andreas Dedner
  Copyright (C) 2010 - 2012 Martin Nolte

  The ALUGrid library is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.

  The ALUGrid library is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
**************************************************************************/
#ifndef __ALUGRID_2D_CC_INCLUDED__
#define __ALUGRID_2D_CC_INCLUDED__

#define ALU2DGRID_COMPATIBILITY_LEVEL 2
#include "alugrid_2d.h"

#ifndef NDEBUG
#warning -- Compiling ALUGrid code in debug mode!!! Use -DNDEBUG to get more optimized code!!!
#endif

namespace ALU2DGrid
{

// this is needed since the code does not used std :: 
using namespace std; 

#include "alu2d/grid.cc"
#include "alu2d/triang.cc"
#include "alu2d/hdlrw.cc"
#include "alu2d/mknbrs.cc"
#include "alu2d/handle.cc"
#include "alu2d/vmmap.cc"
#include "alu2d/vtx_btree.cc"

} //end namespace 

#endif
