/**************************************************************************
 
  ALUGrid - a library providing a mesh manager supporting simplicial
  and hexahedral meshes, local grid adaptivity for use in parallel
  computations including dynamic load balancing.

  Copyright (C) 1998 - 2002 Bernhard Schupp
  Copyright (C) 1998 - 2002 Mario Ohlberger 
  Copyright (C) 2004 - 2012 Robert Kloefkorn
  Copyright (C) 2005 - 2012 Andreas Dedner
  Copyright (C) 2010 - 2012 Martin Nolte

  The ALUGrid library is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.

  The ALUGrid library is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
**************************************************************************/
#ifndef GITTER_PLL_MGB_H_INCLUDED
#define GITTER_PLL_MGB_H_INCLUDED

#include "serialize.h"
#include "gitter_mgb.h"

#include "gitter_pll_sti.h"

class ParallelGridMover : public MacroGridBuilder {
  protected :
    void unpackVertex (ObjectStream &) ;
    void unpackHedge1 (ObjectStream &) ;
    void unpackHface3 (ObjectStream &) ;
    void unpackHface4 (ObjectStream &) ;
    void unpackHexa (ObjectStream &) ;
    void unpackTetra (ObjectStream &) ;
    void unpackPeriodic3 (ObjectStream &) ;
    void unpackPeriodic4 (ObjectStream &) ;
    void unpackHbnd3Int (ObjectStream &) ;
    void unpackHbnd3Ext (ObjectStream &) ;
    void unpackHbnd4Int (ObjectStream &) ;
    void unpackHbnd4Ext (ObjectStream &) ;
  public :
    ParallelGridMover (BuilderIF &, bool init = true) ;
    // former constructor 
    void initialize ();
    ~ParallelGridMover () ;
    void unpackAll (vector < ObjectStream > &) ;
};
#endif
