/**************************************************************************
 
  ALUGrid - a library providing a mesh manager supporting simplicial
  and hexahedral meshes, local grid adaptivity for use in parallel
  computations including dynamic load balancing.

  Copyright (C) 1998 - 2002 Bernhard Schupp
  Copyright (C) 1998 - 2002 Mario Ohlberger 
  Copyright (C) 2004 - 2012 Robert Kloefkorn
  Copyright (C) 2005 - 2012 Andreas Dedner
  Copyright (C) 2010 - 2012 Martin Nolte

  The ALUGrid library is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.

  The ALUGrid library is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
**************************************************************************/
#ifndef __ALUGRID_SYSTEMINCLUDES_HH__
#define __ALUGRID_SYSTEMINCLUDES_HH__

// here we include all system header files, otherwise the we have to 
// put the ALUGridSpace namespace in every file of the original
// source and we dont want to do that. so the idea is first to include 
// the system header and then include the original BernhardSchuppGrid
// sources within the namespace defined in bsinclude.hh

#include <cstdlib>
#include <cassert>
#include <cstring>
#include <cstdio>
#include <cmath>
#include <climits>
#include <ctime>
#include <ulimit.h>

// headers for getrusage(2)
#include <sys/resource.h>
#include <sys/types.h>

// header for XDR 
#include <rpc/rpc.h>
#include <rpc/xdr.h>

#include <memory>
#include <iostream>
#include <fstream>
#include <vector>
#include <utility>
#include <functional>
#include <iterator>
#include <algorithm>
#include <list>
#include <iomanip>
#include <sstream>
#include <deque>
#include <queue>
#include <stack>
#include <map>
#include <numeric>
#include <set>

#endif
